/*
 * xstat - A statistics generator using GTK+
 *
 * Copyright (C) 2000 Julien Lesouef <julien.lesouef@free.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */


#include "Browse.h"


GtkWidget *fileSel;
GtkWidget *fileEntry;


void ok_browse()
{
  char *text = new char[50];
  text = gtk_file_selection_get_filename(GTK_FILE_SELECTION(fileSel));
  gtk_entry_set_text(GTK_ENTRY(fileEntry), text);
  gtk_widget_hide(fileSel);
}


void cancel_browse()
{
  gtk_widget_hide(fileSel);
}


void createBrowse(GtkWidget *widget, GtkWidget *anEntry)
{
  char      *l;           // current language
  gchar     *title;       // message
  l = setlocale(LC_ALL, "");
  if (*l == 'f' && *(++l) == 'r') title = "Slectionner un fichier";
  else title = "Select a file";

  fileEntry = anEntry;

  fileSel = gtk_file_selection_new (title);
  gtk_signal_connect(GTK_OBJECT(fileSel), "destroy", GTK_SIGNAL_FUNC(cancel_browse), fileSel);
  gtk_signal_connect(GTK_OBJECT(GTK_FILE_SELECTION(fileSel)->ok_button), 
		     "clicked", GTK_SIGNAL_FUNC(ok_browse), NULL);
  gtk_signal_connect_object(GTK_OBJECT(GTK_FILE_SELECTION(fileSel)->cancel_button),
			    "clicked", GTK_SIGNAL_FUNC(gtk_widget_destroy), GTK_OBJECT(fileSel));

  gtk_widget_show(fileSel);
}
