/*
 * xstat - A statistics generator using GTK+
 *
 * Copyright (C) 2000 Julien Lesouef <julien.lesouef@free.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */


#include "BrowseImage.h"


GtkWidget *imageSel;
GtkWidget *imageEntry;


void ok_browseImage()
{
  char *text = new char[50];
  text = gtk_file_selection_get_filename(GTK_FILE_SELECTION(imageSel));
  text = strrchr(text, '/');
  text++;
  gtk_entry_set_text(GTK_ENTRY(imageEntry), text);
  gtk_widget_hide(imageSel);
}


void cancel_browseImage()
{
  gtk_widget_hide(imageSel);
}


void createBrowseImage(GtkWidget *widget, GtkWidget *anEntry)
{
  char      *l;           // current language
  gchar     *title;       // message
  l = setlocale(LC_ALL, "");
  if (*l == 'f' && *(++l) == 'r') title = "Slectionner une image";
  else title = "Select an image";

  imageEntry = anEntry;

  imageSel = gtk_file_selection_new (title);
  gtk_signal_connect(GTK_OBJECT(imageSel), "destroy", GTK_SIGNAL_FUNC(cancel_browseImage), imageSel);
  gtk_signal_connect(GTK_OBJECT(GTK_FILE_SELECTION(imageSel)->ok_button), 
		     "clicked", GTK_SIGNAL_FUNC(ok_browseImage), NULL);
  gtk_signal_connect_object(GTK_OBJECT(GTK_FILE_SELECTION(imageSel)->cancel_button),
			    "clicked", GTK_SIGNAL_FUNC(gtk_widget_destroy), GTK_OBJECT(imageSel));

  gtk_widget_show(imageSel);
}
