/*
 * xstat - A statistics generator using GTK+
 *
 * Copyright (C) 2000 Julien Lesouef <julien.lesouef@free.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */


#include "Choose.h"


GtkWidget *colorSel;
GtkWidget *colorEntry;


void ok_choose()
{
  char *text = new char[50];
  gdouble color[3];
  gint c[3];
  GtkWidget *cs;

  cs = GTK_COLOR_SELECTION_DIALOG(colorSel)->colorsel;
  gtk_color_selection_get_color(GTK_COLOR_SELECTION(cs), color);
  //printf("%f, %f, %f\n", color[0], color[1], color[2]);
  c[0] = (int)(color[0] * 255);
  c[1] = (int)(color[1] * 255);
  c[2] = (int)(color[2] * 255);
  sprintf(text, "#%2.2X%2.2X%2.2X", c[0], c[1], c[2]);
  gtk_entry_set_text(GTK_ENTRY(colorEntry), text);
  gtk_widget_hide(colorSel);
}


void cancel_choose()
{
  gtk_widget_hide(colorSel);
}


void createChoose(GtkWidget *widget, GtkWidget *anEntry)
{
  char      *l;           // current language
  gchar *text;
  gchar tmp[3];
  gint i;
  gdouble color[3];
  colorEntry = anEntry;

  l = setlocale(LC_ALL, "");
  if (*l == 'f' && *(++l) == 'r') text = "Slectionner une couleur";
  else text = "Select a color";

  colorSel = gtk_color_selection_dialog_new(text);
  gtk_signal_connect(GTK_OBJECT(colorSel), "destroy", GTK_SIGNAL_FUNC(cancel_choose), colorSel);
  gtk_signal_connect(GTK_OBJECT(GTK_COLOR_SELECTION_DIALOG(colorSel)->ok_button), 
		     "clicked", GTK_SIGNAL_FUNC(ok_choose), NULL);
  gtk_signal_connect_object(GTK_OBJECT(GTK_COLOR_SELECTION_DIALOG(colorSel)->cancel_button),
			     "clicked", GTK_SIGNAL_FUNC(gtk_widget_destroy), GTK_OBJECT(colorSel));

  text = gtk_entry_get_text(GTK_ENTRY(colorEntry));
  if (text != NULL && strlen(text) == 7 && text[0] == '#')
    {
      tmp[2] = '\0';
      tmp[0] = text[1];
      tmp[1] = text[2];
      //printf("string 1 : %s\n", tmp);
      i = strtol(tmp, NULL, 16);
      //printf("int 1 : %i\n", i);
      color[0] = (double)i / 255.0;
      tmp[0] = text[3];
      tmp[1] = text[4];
      //printf("string 2 : %s\n", tmp);
      i = strtol(tmp, NULL, 16);
      //printf("int 2 : %i\n", i);
      color[1] = (double)i / 255.0;
      tmp[0] = text[5];
      tmp[1] = text[6];
      //printf("string 3 : %s\n", tmp);
      i = strtol(tmp, NULL, 16);
      //printf("int 3 : %i\n", i);
      color[2] = (double)i / 255.0;
      gtk_color_selection_set_color(GTK_COLOR_SELECTION(GTK_COLOR_SELECTION_DIALOG(colorSel)->colorsel), color);
    }
  gtk_widget_show(colorSel);
}
