/*
 * xstat - A statistics generator using GTK+
 *
 * Copyright (C) 2000 Julien Lesouef <julien.lesouef@free.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */


#include <string.h>
#include <stdio.h>
#include <locale.h>
#include "Page.h"


class Config
{
 private:
        static int NBSTATS;
        static char *STAT[12];
	static char *STATFR[12];
	char logName[50];
	char fileName[50];
	Page *page;
	Stat *stat[12];
	int used[12];
	int nbUsed;

	void removeAll();
 public:
	Config();
	static int getNoStat(char aText[]);
	static int getNbStats();
	static char *getStatName(int index);
	char *getUsedStatName(int index);
	Stat *getStat(int index);
	Stat *getUsedStat(int index);
	bool isUsed(int index);
	int getNbUsed();
	char *getLogName();
	char *getFileName();
	Page *getPage();

	void setLogName(char aLogName[]);
	void setFileName(char aFileName[]);
	void add(char text[]);
	void remove(int index);
	void go_up(int index);
	void go_down(int index);

	bool save(char filename[]);
	bool saveCurrent();
	int load(char filename[]);
	int loadCurrent();
};
