/*
 * xstat - A statistics generator using GTK+
 *
 * Copyright (C) 2000 Julien Lesouef <julien.lesouef@free.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */


class DailyChart : public Stat
{
 protected:
        int interval;

        virtual int getNumber(int index, Log *aLog) = 0;
 public:
	DailyChart(char anImageDirectory[], char aBarImage[], char aTitle[], int anInterval);
	int getInterval();
	void configure(char anImageDirectory[], char aBarImage[], char aTitle[], int anInterval);
        void generate(FILE *aFile, Log *aLog);
};


#include "DailyUsersChart.h"
#include "DailyLinesChart.h"
