/*
 * xstat - A statistics generator using GTK+
 *
 * Copyright (C) 2000 Julien Lesouef <julien.lesouef@free.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */


#include "Dialog.h"


GtkWidget *dialog;
GtkWidget *widget1;
GtkWidget *widget2;
GtkWidget *widget3;
GtkWidget *widget4;
GtkWidget *widget5;
gint noStat;
Config *dconfig;


void ok_dialog()
{
  switch (noStat)
    {
    case 0 : 
      dconfig->getStat(noStat)->configure(gtk_entry_get_text(GTK_ENTRY(widget3)),
					  gtk_entry_get_text(GTK_ENTRY(widget2)),
					  gtk_entry_get_text(GTK_ENTRY(widget1)));
      break;
    case 1 :
    case 2 :
    case 3 :
      dconfig->getStat(noStat)->configure(gtk_entry_get_text(GTK_ENTRY(widget3)),
					  gtk_entry_get_text(GTK_ENTRY(widget2)),
					  gtk_entry_get_text(GTK_ENTRY(widget1)),
					  gtk_spin_button_get_value_as_int(GTK_SPIN_BUTTON(widget4)));
      break;
    case 4 :
    case 5 :
    case 6 :
    case 7 : 
    case 8 :
    case 9 :
    case 10 : 
    case 11 :
      dconfig->getStat(noStat)->configure(gtk_entry_get_text(GTK_ENTRY(widget3)),
					  gtk_entry_get_text(GTK_ENTRY(widget2)),
					  gtk_entry_get_text(GTK_ENTRY(widget1)),
					  gtk_spin_button_get_value_as_int(GTK_SPIN_BUTTON(widget4)),
					  GTK_TOGGLE_BUTTON(widget5)->active);
    }
  gtk_widget_hide(dialog);
}


void cancel_dialog()
{
  gtk_widget_hide(dialog);
}


void createDialog(Config *aConfig, gint aNoStat)
{
  GtkWidget *widget;
  GtkWidget *vbox;
  GtkWidget *hbox;
  GtkObject *adjustement;
  char      *l;           // current language
  gchar     *messages[10];// messages
  gint tmp;

  // Gives the configuraton and the stat number
  dconfig = aConfig;
  noStat = aNoStat;

  // Initializes messages
  l = setlocale(LC_ALL, "");
  if (*l == 'f' && *(++l) == 'r')
    {
      messages[0] = "Titre :";
      messages[1] = "Image de barre :";
      messages[2] = "Parcourir...";
      messages[3] = "Rpertoire relatif de l'image :";
      messages[4] = "Heure du jour :";
      messages[5] = "Intervalle d'heures :";
      messages[6] = "Nombre maximum de personnes :";
      messages[7] = "Montrer un exemple";
      messages[8] = "D'accord";
      messages[9] = "Annuler";
    }
  else
    {
      messages[0] = "Title :";
      messages[1] = "Bar image :";
      messages[2] = "Browse...";
      messages[3] = "Relative image directory :";
      messages[4] = "Hour of the day :";
      messages[5] = "Interval of hours :";
      messages[6] = "Maximum number of users :";
      messages[7] = "Show an example";
      messages[8] = "OK";
      messages[9] = "Cancel";
    }

  // the window
  dialog = gtk_window_new(GTK_WINDOW_DIALOG);  
  gtk_window_set_title(GTK_WINDOW(dialog), dconfig->getStatName(noStat));
  gtk_signal_connect(GTK_OBJECT(dialog), "delete_event", GTK_SIGNAL_FUNC(cancel_dialog), NULL);

  // the main box
  vbox = gtk_vbox_new(FALSE, 5);
  gtk_container_add(GTK_CONTAINER(dialog), vbox);

  // the "Title" line
  hbox = gtk_hbox_new(FALSE, 5);
  gtk_box_pack_start(GTK_BOX(vbox), hbox, TRUE, TRUE, 5);

  // the "Title" label
  widget = gtk_label_new(messages[0]);  
  gtk_box_pack_start(GTK_BOX(hbox), widget, FALSE, FALSE, 5);
  gtk_widget_show(widget);

  // the "Title" entry
  widget1 = gtk_entry_new();
  gtk_entry_set_text(GTK_ENTRY(widget1), dconfig->getStat(noStat)->getTitle());
  gtk_box_pack_start(GTK_BOX(hbox), widget1, TRUE, TRUE, 5);
  gtk_widget_show(widget1);

  // display of the "Title" line
  gtk_widget_show(hbox);

  // the "Bar Image" line
  hbox = gtk_hbox_new(FALSE, 5);
  gtk_box_pack_start(GTK_BOX(vbox), hbox, TRUE, TRUE, 5);

  // the "Bar Image" label
  widget = gtk_label_new(messages[1]);
  gtk_box_pack_start(GTK_BOX(hbox), widget, FALSE, FALSE, 5);
  gtk_widget_show(widget);

  // the "Bar Image" entry
  widget2 = gtk_entry_new();
  gtk_entry_set_text(GTK_ENTRY(widget2), dconfig->getStat(noStat)->getBarImage());
  gtk_box_pack_start(GTK_BOX(hbox), widget2, TRUE, TRUE, 5);
  gtk_widget_show(widget2);

  // the "Browse..." button for bar image
  widget = gtk_button_new_with_label(messages[2]);
  gtk_signal_connect(GTK_OBJECT(widget), "clicked", GTK_SIGNAL_FUNC(createBrowseImage), widget2);
  gtk_box_pack_start(GTK_BOX(hbox), widget, FALSE, FALSE, 5);
  gtk_widget_show(widget);

  // display of the "Bar Image" line
  gtk_widget_show(hbox);

  // the "Relative image directory" line
  hbox = gtk_hbox_new(FALSE, 5);
  gtk_box_pack_start(GTK_BOX(vbox), hbox, TRUE, TRUE, 5);

  // the "Relative image directory" label
  widget = gtk_label_new(messages[3]);
  gtk_box_pack_start(GTK_BOX(hbox), widget, FALSE, FALSE, 5);
  gtk_widget_show(widget);

  // the "Relative image directory" entry
  widget3 = gtk_entry_new();
  gtk_entry_set_text(GTK_ENTRY(widget3), dconfig->getStat(noStat)->getImageDirectory());
  gtk_box_pack_start(GTK_BOX(hbox), widget3, TRUE, TRUE, 5);
  gtk_widget_show(widget3);

  // display of the "Relative image directory" line
  gtk_widget_show(hbox);
  
  if (noStat != 0)
    {
      // the "Spin button" line
      hbox = gtk_hbox_new(FALSE, 5);
      gtk_box_pack_start(GTK_BOX(vbox), hbox, TRUE, TRUE, 5);

      if (noStat == 1)
	{
	  // the "Hour of the day" label
	  widget = gtk_label_new(messages[4]);
	  adjustement = gtk_adjustment_new(12, 0, 23, 1, 6, 1);
	  tmp = dconfig->getStat(noStat)->getHour();
	}
      if (noStat >= 2 && noStat <= 3)
	{
	  // the "Interval of hours :" label
	  widget = gtk_label_new(messages[5]);
	  adjustement = gtk_adjustment_new(1, 1, 4, 1, 2, 1);
	  tmp = dconfig->getStat(noStat)->getInterval();
	}
      if (noStat >= 4)
	{
	  // the "Maximum number of users :" label
	  widget = gtk_label_new(messages[6]);
	  adjustement = gtk_adjustment_new(10, 1, 100, 1, 5, 1);
	  tmp = dconfig->getStat(noStat)->getNbMaxUsers();
	}
      gtk_box_pack_start(GTK_BOX(hbox), widget, FALSE, FALSE, 5);
      gtk_widget_show(widget);
      widget4 = gtk_spin_button_new(GTK_ADJUSTMENT(adjustement), 1.0, 0);
      gtk_spin_button_set_value(GTK_SPIN_BUTTON(widget4), tmp);
      gtk_box_pack_start(GTK_BOX(hbox), widget4, FALSE, FALSE, 5);
      gtk_widget_show(widget4);

      // display of the "spin button" line
      gtk_widget_show(hbox);
    }

  if (noStat >= 4)
    {
      // the "Example" line
      hbox = gtk_hbox_new(FALSE, 5);
      gtk_box_pack_start(GTK_BOX(vbox), hbox, TRUE, TRUE, 5);

      widget5 = gtk_check_button_new_with_label(messages[7]);
      gtk_toggle_button_set_state(GTK_TOGGLE_BUTTON(widget5), dconfig->getStat(noStat)->hasExamples());
      gtk_box_pack_start(GTK_BOX(hbox), widget5, FALSE, FALSE, 5);
      gtk_widget_show(widget5);

      // display of the "Example" line
      gtk_widget_show(hbox);
    }

  // the last line
  hbox = gtk_hbox_new(FALSE, 5);
  gtk_box_pack_start(GTK_BOX(vbox), hbox, TRUE, TRUE, 5);

  // the "OK" button
  widget= gtk_button_new_with_label(messages[8]);
  gtk_signal_connect (GTK_OBJECT (widget), "clicked", GTK_SIGNAL_FUNC(ok_dialog), NULL);
  gtk_box_pack_start(GTK_BOX(hbox), widget, TRUE, TRUE, 5);
  gtk_widget_show(widget);

  // the "Cancel" button
  widget= gtk_button_new_with_label (messages[9]);
  gtk_signal_connect (GTK_OBJECT (widget), "clicked", GTK_SIGNAL_FUNC(cancel_dialog), NULL);
  gtk_box_pack_start(GTK_BOX(hbox), widget, TRUE, TRUE, 5);
  gtk_widget_show(widget);
  
  // display of the last line
  gtk_widget_show(hbox);

  // display of the main box
  gtk_widget_show(vbox);

  // display of the dialog
  gtk_widget_show(dialog);
}
