/*
 * xstat - A statistics generator using GTK+
 *
 * Copyright (C) 2000 Julien Lesouef <julien.lesouef@free.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */


#include "Generate.h"


/*
 * Constructs a Generate object
 */
Generate::Generate(Config *aConfig)
{
  char      *l;           // current language
  // Initializes messages
  l = setlocale(LC_ALL, "");
  if (*l == 'f' && *(++l) == 'r')
    {
      messages[0] = "Analyse du log";
      messages[1] = "Le fichier de log n'existe pas";
      messages[2] = "Une erreur est apparue  la ligne";
      messages[3] = "lignes analyses";
      messages[4] = "Ouverture du fichier";
      messages[5] = "Une erreur est apparue";
      messages[6] = "Gnration de l'en-tte de la page...";
      messages[7] = "Gnration du";
      messages[8] = "Gnration du bas de le page...";
      messages[9] = "La page web a t gnre";
    }
  else
    {
      messages[0] = "Analysing log";
      messages[1] = "The log file does not exist";
      messages[2] = "An error occured at line";
      messages[3] = "analysed lines";
      messages[4] = "Opening file";
      messages[5] = "An error occured";
      messages[6] = "Generating head of page...";
      messages[7] = "Generating";
      messages[8] = "Generating bottom of page...";
      messages[9] = "The web page has been generated";
    }

  config = aConfig;
}


/*
 * Analyses the log and generates the web page.
 */
char *Generate::make()
{
  Log *log;
  FILE *file;
  char *text;
  int tmp;
  
  printf("%s %s...\n", messages[0], config->getLogName());
  log = new Log();
  tmp = log->analyse(config->getLogName());
  if (tmp == -1) 
    {
      printf("\n%s\n", messages[1]);
      return messages[1];
    }
  else if (tmp > 0)
    {
      sprintf(text, "%s %i", messages[2], tmp);
      printf("\n%s\n", text);
      return text;
    }

  printf(" %s\n", messages[3]);
  printf("%s %s...\n", messages[4], config->getFileName());
  file = fopen(config->getFileName(), "w");
  if (file == NULL) 
    {
      printf("%s\n", messages[5]);
      return messages[5];
    }

  printf("%s\n", messages[6]);
  config->getPage()->makeHead(file, log);

  for (int i = 0; i < config->getNbUsed(); i++)
    {
      printf("%s %s...\n", messages[7], config->getUsedStatName(i));
      config->getUsedStat(i)->generate(file, log);
    }
  
  printf("%s\n", messages[8]);
  config->getPage()->makeBottom(file);
  fclose(file);
  printf("%s\n", messages[9]);

  return messages[9];
}
