/*
 * xstat - A statistics generator using GTK+
 *
 * Copyright (C) 2000 Julien Lesouef <julien.lesouef@free.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */


#include "Page.h"


/*
 * Gets the number of kicked sessions of the user indexed.
 */
int KickedTable::getNumber(int index, Log *aLog)
{
  return aLog->getUser(index)->getNbKickeds();
}


/*
 * Gets the kicked sentence of the user indexed.
 */
char *KickedTable::getSentence(int index, Log *aLog)
{
  return aLog->getUser(index)->getKickedSentence();
}


/*
 * Constructs a table of kickeds users.
 */
KickedTable::KickedTable(char anImageDirectory[], char aBarImage[], char aTitle[], int aNbMaxUsers, bool hasSomeSentences) : Table(anImageDirectory, aBarImage, aTitle, aNbMaxUsers, hasSomeSentences)
{

}
