/*
 * xstat - A statistics generator using GTK+
 *
 * Copyright (C) 2000 Julien Lesouef <julien.lesouef@free.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */


#include "Period.h"
#include "User.h"
#include <stdio.h>
#include <time.h>


class Log
{
 private:
	Period *period[750];
	int nbPeriod;
	User *user[200];
	int nbUser;
	struct tm startDate;
	struct tm currentDate;

	char *substring(char string[], int start, int nb);
	int catchStartDate(char string[]);
	int catchCurrentDate(char string[]);
	int catchInformation(char string[]);
	int catchActionNick(char string[]);
	int catchSpeakNick(char string[]);
	User *searchUser(char aNick[]);
	User *searchUser(char aName[], char aDomain[]);
 public:
	Log();
	~Log();
	int analyse(char logFile[50]);

	int getNbUsers();
	int getNbPeriods();
	struct tm getStartDate();
	struct tm getEndDate();
	int getNbSessions();
	int getNbNicks();
	int getNbLines();
	int getNbActions();
	int getNbTopics();
	int getNbKicks();

	int getNbUsers(time_t aDate);
	int getDailyNbUsers(int anHour);
	int getNbLines(time_t startTime, time_t endTime);
	int getDailyNbLines(int startHour, int endHour);
	User *getUser(int index);
};
