/*
 * xstat - A statistics generator using GTK+
 *
 * Copyright (C) 2000 Julien Lesouef <julien.lesouef@free.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */


#include "Log.h"
#include "Stat.h"
#include <stdio.h>
#include <string.h>
#include <time.h>
#include <locale.h>


class Page
{
 private:
	char imageDirectory[50];
	char background[50];
	char title[50];

 public:
	Page(char anImageDirectory[], char aBackground[], char aTitle[]);
	Page(char aColor[], char aTitle[]);
	char *getImageDirectory();
	char *getBackground();
	char *getTitle();
	bool hasImage();
	void configure(char anImageDirectory[], char aBackground[], char aTitle[]);
	void configure(char aColor[], char aTitle[]);
	void makeHead(FILE *aFile, Log *log);
	void makeBottom(FILE *aFile);
};
