/*
 * xstat - A statistics generator using GTK+
 *
 * Copyright (C) 2000 Julien Lesouef <julien.lesouef@free.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */


#include "Page.h"


/*
 * Constructs a stat.
 */
Stat::Stat(char anImageDirectory[], char aBarImage[], char aTitle[])
{
  strcpy(imageDirectory, anImageDirectory);
  strcpy(barImage, aBarImage);
  strcpy(title, aTitle);
}


/*
 * Gets the relative image directory of the stat.
 */
char *Stat::getImageDirectory()
{
  return imageDirectory;
}


/*
 * Gets the bar image of the stat.
 */
char *Stat::getBarImage()
{
  return barImage;
}


/*
 * Gets the title of the stat.
 */
char *Stat::getTitle()
{
  return title;
}


/*
 * Configures the stat.
 */
void Stat::configure(char anImageDirectory[], char aBarImage[], char aTitle[])
{
  strcpy(imageDirectory, anImageDirectory);
  strcpy(barImage, aBarImage);
  strcpy(title, aTitle);
}
