/*
 * xstat - A statistics generator using GTK+
 *
 * Copyright (C) 2000 Julien Lesouef <julien.lesouef@free.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */


class Stat
{
 protected:
	char imageDirectory[50];
	char barImage[50];
	char title[50];

 public:
	Stat(char anImageDirectory[], char aBarImage[], char aTitle[]);
	char *getImageDirectory();
	char *getBarImage();
	char *getTitle();
	virtual int getNbMaxUsers() {return 0;};
	virtual bool hasExamples() {return 0;};
	virtual int getHour() {return 0;};
	virtual int getInterval() {return 0;};
	void configure(char anImageDirectory[], char aBarImage[], char aTitle[]);
	virtual void configure(char anImageDirectory[], char aBarImage[], char aTitle[], int anInt)
	  {configure(anImageDirectory, aBarImage, aTitle);};
	virtual void configure(char anImageDirectory[], char aBarImage[], char aTitle[], int anInt, bool aBool)
	  {configure(anImageDirectory, aBarImage, aTitle);};
	virtual void generate(FILE *aFile, Log *aLog) = 0;
};


#include "Table.h"
#include "Chart.h"
#include "DailyChart.h"
