/*
 * xstat - A statistics generator using GTK+
 *
 * Copyright (C) 2000 Julien Lesouef <julien.lesouef@free.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */


class Table : public Stat
{
 private:
	int nbMaxUsers;
        bool hasSentences;
  
        char *getNick(int index, Log *aLog);
        virtual int getNumber(int index, Log *aLog) = 0;
        virtual char *getSentence(int index, Log *aLog) = 0;
 public:
	Table(char anImageDirectory[], char aBarImage[], char aTitle[], int aNbMaxUsers, bool hasSomeSentences);
	int getNbMaxUsers();
	bool hasExamples();
	void configure(char anImageDirectory[], char aBarImage[], char aTitle[], int aNbMaxUsers, bool hasSomeSentences);
        void generate(FILE *aFile, Log *aLog);
};


#include "LineTable.h"
#include "ActionTable.h"
#include "DurationTable.h"
#include "NickTable.h"
#include "TopicTable.h"
#include "KickTable.h"
#include "KickedTable.h"
#include "SessionTable.h"
