/*
 * xstat - A statistics generator using GTK+
 *
 * Copyright (C) 2000 Julien Lesouef <julien.lesouef@free.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */


#include "Session.h"
#include <stdio.h>


void main(void)
{
  int i;
  Session *s;
  time_t t;
  char *string = new char[200];

  printf("Construct a session\n");
  s = new Session("tommy", time(NULL));
  printf("Has he left : %i\n", s->hasLeft());

  printf("Press a key to end the session\n");
  scanf("%s", string);
  s->leaves(time(NULL));

  printf("Nickname : %s\n", s->getNick());  
  t = time(NULL);
  printf("Was he present 1 sec ago : %i\n", s->wasPresent(t - 1));
  printf("Is he present now : %i\n", s->wasPresent(t + 1));
  printf("Duration : %i\n", s->getDuration());
  printf("Has he left : %i\n", s->hasLeft());

  delete s;
}





