/*
 * xstat - A statistics generator using GTK+
 *
 * Copyright (C) 2000 Julien Lesouef <julien.lesouef@free.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */


#include <stdlib.h>
//#include <stdio.h>
#include <time.h>
#include <string.h>
#include "Session.h"


#define SENSIZE 60


class User
{
 private:
	char name[20];
	char domain[30];
	Session *session[300];
	int nbSession;
	char quitSentence[SENSIZE];
	char timeSentence[SENSIZE];
	int nbLine;
	char lineSentence[SENSIZE];
	int nbTopic;
	char topicSentence[SENSIZE];
	int nbAction;
	char actionSentence[SENSIZE];
	int nbKick;
	char kickSentence[SENSIZE];
	int nbKicked;
	char kickedSentence[SENSIZE];

	bool hasChance();
	void copy(char toSentence[], char fromSentence[]);
 public:
	User(char aName[], char aDomain[]);
	~User();

	void joins(char aNick[], time_t aTime);
	void speaks(char aSentence[]);
	void doesAction(char aSentence[]);
	void changesTopic(char aSentence[]);
	void kicks(char aSentence[]);
	void isKicked(char aSentence[], time_t aTime);
	void leaves(time_t aTime);
	void leavesIRC(char aSentence[], time_t aTime);

	bool compareNick(char aNick[]);
	bool compareAddress(char aName[], char aDomain[]);
	int getNbSessions();
	char *getLeaveSentence();
	bool wasPresent(time_t aTime);
	int getNbNicks();
	char *getMostUsedNick();
	char *getAllNicks();
	time_t getDuration();
	char *getDurationSentence();
	int getNbLines();
	char *getLineSentence();
	int getNbActions();
	char *getActionSentence();
	int getNbTopics();
	char *getTopicSentence();
	int getNbKicks();
	char *getKickSentence();
	int getNbKickeds();
	char *getKickedSentence();
};
