/*
 * xstat - A statistics generator using GTK+
 *
 * Copyright (C) 2000 Julien Lesouef <julien.lesouef@free.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */


#include <stdio.h>
#include <locale.h>
#include "Generate.h"


int main(int argc, char *argv[])
{
  Config   *config;
  Generate *gen;
  int      tmp;
  char     *l;           // current language
  char     *messages[3]; // messages

  // Initializes messages
  l = setlocale(LC_ALL, "");
  if (*l == 'f' && *(++l) == 'r')
    {
      messages[0] = "Usage : statistic [fichier]\nfichier : un fichier de configuration xstat (par dfaut $HOME/.xstat)\nPrire de lancer xstat pour crer ce fichier\n";
      messages[1] = "Le fichier n'existe pas\n";
      messages[2] = "Le fichier n'est pas un fichier de configuration xstat\n";
    }
  else
    {
      messages[0] = "Usage : statistic [file]\nfile : a xstat configuration file (default is $HOME/.xstat)\nPlease launch xstat to create this file\n";
      messages[1] = "The file does not exist\n";
      messages[2] = "The file is not a xstat configuration file\n";
    }

  config = new Config();
  if (argc > 2) 
    {
      printf("%s", messages[0]);
      exit(-1);
    }
  if (argc == 1) tmp = config->loadCurrent();
  if (argc == 2) tmp = config->load(argv[1]);
  if (tmp == 0)
    {
      printf("%s", messages[1]);
      exit(-1);
    }
  if (tmp == 1)
    {
      printf("%s", messages[2]);
      exit(-1);
    }

  gen = new Generate(config);
  gen->make();

  exit(0);
}
